@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Red+Hat+Display:ital,wght@0,300..900;1,300..900&display=swap');

@font-face {
    font-family: 'great_vibesregular';
    src: 
        url('./fonts/greatvibes-regular-webfont.woff2') format('woff2'),
        url('./fonts/greatvibes-regular-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    unicode-range: U+000-5FF;

}

@font-face {
    font-family: 'Pangram';
    src: 
        url('./fonts/Pangram-ExtraBold.woff2') format('woff2'),
        url('./fonts/Pangram-ExtraBold.woff') format('woff');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
    unicode-range: U+000-5FF;
}

@font-face {
    font-family: 'Pangram';
    src: 
        url('./fonts/Pangram-Black.woff2') format('woff2'),
        url('./fonts/Pangram-Black.woff') format('woff');
    font-weight: 900;
    font-style: normal;
    font-display: swap;
    unicode-range: U+000-5FF;
}

@font-face {
    font-family: 'Pangram';
    src: 
        url('./fonts/Pangram-Bold.woff2') format('woff2'),
        url('./fonts/Pangram-Bold.woff') format('woff');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
    unicode-range: U+000-5FF;
}

@font-face {
    font-family: 'Pangram';
    src: 
        url('./fonts/Pangram-ExtraLight.woff2') format('woff2'),
        url('./fonts/Pangram-ExtraLight.woff') format('woff');
    font-weight: 200;
    font-style: normal;
    font-display: swap;
    unicode-range: U+000-5FF;
}

@font-face {
    font-family: 'Pangram';
    src: 
        url('./fonts/Pangram-Light.woff2') format('woff2'),
        url('./fonts/Pangram-Light.woff') format('woff');
    font-weight: 300;
    font-style: normal;
    font-display: swap;
    unicode-range: U+000-5FF;
}

@font-face {
    font-family: 'Pangram';
    src: 
        url('./fonts/Pangram-Medium.woff2') format('woff2'),
        url('./fonts/Pangram-Medium.woff') format('woff');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
    unicode-range: U+000-5FF;
}

@font-face {
    font-family: 'Pangram';
    src: 
        url('./fonts/Pangram-Regular.woff2') format('woff2'),
        url('./fonts/Pangram-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
    unicode-range: U+000-5FF;
}

@font-face {
    font-family: 'CanelaCondRegularItalic';
    src: 
        url('./fonts/CanelaCondensed-RegularItalic.woff2') format('woff2'),
        url('./fonts/CanelaCondensed-RegularItalic.woff') format('woff'),
        url('./fonts/CanelaCondensed-RegularItalic.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}


@layer theme, base, components, utilities;
@import "tailwindcss-v4/theme.css" layer(theme);
@import "./preflight.css" layer(base);
@import "tailwindcss-v4/utilities.css" layer(utilities);

@source '../../vendor/laravel/framework/src/Illuminate/Pagination/resources/views/*.blade.php';
@source '../../storage/framework/views/*.php';
@source '../../modules/**/*.blade.php';
@source '../**/*.blade.php';
@source '../**/*.js';

@theme {
    --font-sans: 'Pangram', "sans-serif";
    --font-font2: 'great_vibesregular';
    --font-font3: 'CanelaCondRegularItalic';
    --color-principal: #f2503d;
    --color-segundo: #ffa31e;
    --color-aqua: #009aa0;
}

@plugin "tailwindcss-animated";
@plugin "@tailwindcss/typography";

@utility container {
    margin-inline: auto;

    @variant lg {
        max-width: 960px;
    }

    @variant xl {
        max-width: 1152px;
    }

    @variant 2xl {
        max-width: 1344px;
    }
}

@layer utilities {
    .no-scrollbar::-webkit-scrollbar {
        display: none;
    }

    .no-scrollbar {
        -ms-overflow-style: none;
        scrollbar-width: none;
    }
}

[x-cloak] {
    display: none;
}
body { overflow-x: hidden; }
.pb-footer {
    padding-bottom: 250px;
}

.glide-main img {
    width: 100%;
    height: 520px;
    object-fit: cover;
    border-radius: 8px;
}

.glide-thumbs img {
    width: 100%;
    height: 120px;
    object-fit: cover;
    cursor: pointer;
    opacity: .6;
    transition: opacity .3s, transform .3s;
    border-radius: 6px;
}

.glide-thumbs .glide__slide--active img {
    opacity: 1;
    transform: scale(1.03);
}

@media (max-width: 768px) {
    .glide-main img {
        height: 300px;
    }

    .glide-thumbs img {
        height: 90px;
    }
}
.h-footer {
  position: relative;
  z-index: 20;
  margin-top: -500px;
}

.p-footer {
  padding-bottom: 500px;
}

/* sm */
@media (min-width: 640px) {
  .h-footer {
    margin-top: -420px;
  }

  .p-footer {
    padding-bottom: 420px;
  }
}

/* md */
@media (min-width: 768px) {
  .h-footer {
    margin-top: -360px;
  }

  .p-footer {
    padding-bottom: 360px;
  }
}

/* lg */
@media (min-width: 1024px) {
  .h-footer {
    margin-top: -300px;
  }

  .p-footer {
    padding-bottom: 300px;
  }
}